# Réunion d'intégration de Chris \\o/

## Préliminaires

Avec le départ de .... il y a une question de savoir comment nous intégrons de nouveau animinsys. Nous allons continuer comme avant -- à ceci près sans Christian -- mais en notant que Chapril verra pour comment s'adapter. Cette intégration actuelle est un peu ad-hoc et ce ne sera pas toujours @pilou. 

Les principes de bénévolat co-existent avec les besoins de fournir une administration bien. 

# Principes animsys Chapril

* Il existe une vidéo de présentation du Chapril, il est conseillé de la regarder:
  * <https://media.april.org/video/201911-Capitole_du_Libre_2019/Le_CHATON_Chapril_recrute-Christian_Momon-Cdl2019.mp4>
* rappel de la notion de groupe infra (adminsys) et de groupe animsys 
  * équipe adminsys :
    * QGuLL : Quentin Gibeaux
    * PoluX : François Poulain
    * rh : Romain Houvier
    * pitchum
* concept de vigilance continue (il est possible d'installer client de notification icinga)
* délai et réactivité (le « plus tôt » possible pour les alertes, une semaine de délai pour un upgrade c'est possible)
* points incontournables :
  * la doc à jour <https://admin.chapril.org>
  * les mises à jour du service
  * les tickets ([https://agir.april.org/projects/valise-chapril-org/issues)](https://agir.april.org/projects/valise-chapril-org/issues))
  * les alertes Icinga <https://icinga.chapril.org>
  * courriel support du service (valise-support@chapril.org, [https://listes.chapril.org/sympa/lists)](https://listes.chapril.org/sympa/lists))
  * la réunion mensuelle des animsys en début de mois (voir <https://agir.april.org/projects/chapril-chapril/issues> pour les prochaines réunions), participation des deux animsys importante. le pad de la réunion peut être rempli en début de réunion.
    * <https://pad.april.org/p/reunion-chapril-sprint-mai-2022>
    * prochaine réunion : mardi 10 mai 21h-22h30
* <https://stats.chatons.org/> : il faut maintenir les métriques
* principe d'installation normalisée (/srv,  /etc ...)
  * etckeeper
  * /srv/\<service>: /srv/valise.chapril.org/tools ([https://forge.april.org/Chapril/valise.chapril.org-tools)](https://forge.april.org/Chapril/forge.chapril.org-tools))
* accord pour engagement
  * Chris : OK

Les bases de données utilisées par les services sont hébergées localement sur chaque VM.

Il y a un bastion devant les services (april@fip.chapril.org), les certificats sont gérés par l'équipe animsys. HTTP est utilisé entre le bastion et les services.

* échange contacts: email
* binôme orga/répartition/dispos

# Cycle de vie d'un service

* valise.chapril.org
  * principes : éviter le nom du produit, éviter un mot, éviter l'anglais
* valise
  * principes : court, pas le nom d'un produit, évocateur du produit principal

Texte de présentation du service pour l'accueil, avec une capture

* clé SSH : clef ajoutée

# Tour du Chapril

* photos.april.org + convention photo
  * accord pour être pris en photo ?
    * Chris : OUI
  * accord pour diffusion photos en licence libre ?
    * Chris : OUI
* fiche du service sur www.chapril.org
  * <https://www.chapril.org/-services-.html>
  * OK
* accès vm :
  * [https://agir.april.org/issues/5849](https://agir.april.org/issues/5849#change-27059)
  * <https://admin.chapril.org/doku.php?id=admin:procedures:ajouter-animateur-service#acces_ssh> 
* inscription liste chapril@april.org
  * <https://listes.april.org/wws/info/chapril>
  * TODO Chris : FAIT
* inscription liste animsys@chapril.org
  * <https://listes.chapril.org/sympa/info/animsys>
    * inscriptions : en attente de validation
  * envoyer un courriel de présentation sur animsys@
    * a été envoyé sur chapril@april
  * rappel priorité usage des listes : chapril@ > animsys@ > admins@
* wiki.april.org
  * <https://wiki.chapril.org/>
  * [https://wiki.april.org/w/Chapril:Services:valise](https://wiki.april.org/w/Chapril:Services:forge)
* agir.chapril.org
  * création de compte : FAIT
  * ajout dans le projet Chapril
    * À FAIRE
  * ajout dans le sous-projet forge.chapril.org
    * A FAIRE
  * statistiques des tickets :
    * <https://statool.agir.april.org/chapril.xhtml>
* **Tout ticket clôturé doit être assigné.** Christian recommande de passer les tickets au statut "Fermé" lors de la réunion mensuelle.
* forge.april.org
  * FAQ : <https://forge.april.org/adminsys/forge.april.org-faq>
  * rappel gestion tickets externe
  * création de compte
    * A FAIRE
  * mettre avatar
    * À FAIRE
  * mettre clé ssh :
    * A FAIRE
  * ajout dans les projets valise.chapril.org
    * A FAIRE
  * indication du dossier /srv/valise.chapril.org/  FAIT
    * La maintenance du fichier/srv/chaprilinfos/well-known/chaprilinfos/valisechaprilorg.properties est  la responsabilité des animsys.
* admin.chapril.org :
  * création compte
    * A FAIRE
  * FAQ :  <https://admin.chapril.org/doku.php?id=admin:services:faq_services>
* icinga.chapril.org
  * création compte : A FAIRE
  * sonde détection disponibilité mise à jour
    * /srv/valise.chapril.org/tools/monitoring/
  * nagstamon
    * <https://nagstamon.ifw-dresden.de/files/stable/nagstamon_3.4.1_all.deb>
  * ou demander à être notifié par mail: <https://agir.april.org/issues/5717> 
* grafana.chapril.org
* status.chapril.org
  * création de compte :
    * A FAIRE
    * [https://status.chapril.org/dashboard](https://status.chapril.org/auth/login)
  * le service est hébergé avec le reste de l'infra
  * à la création d'une maintenance planifiée ou d'un incident il ne faut pas mettre d'horaire de fin (même dans le futur) sinon il ne sera pas affiché.
* rapport d'activité mensuel
  * /srv/forge.chapril.org/tools/rapport_activite/ executer update_redmine_ticket.sh qui appelle rapport_activite.sh
  * <https://agir.april.org/issues/4870>
  * alimentation automatique par cron
  * reporter manuellement les chiffres intéressants dans le pad réunion animsys mensuelle
* ChaprilInfos :
  * <https://statoolinfos.chapril.org/chaprilservices-forgechaprilorg.xhtml>
  * /srv/chaprilnfos/…/fichier properties
* la réunion mensuelle des animsys
  * **participation indispensable**
  * la précédente : <https://pad.april.org/p/reunion-chapril-sprint-avril-2022> 
  * la prochaine : <https://pad.april.org/p/reunion-chapril-sprint-mai-2022>
* rappel sur les pouets
  * sur @april (plutot que @chapril)
  * maj, nouveautés
  * simple demande à Fred avec possibilité de brouillon sur pad
* traitement du support
  * ajout dans la liste valise-support@chapril.org A FAIRE
  * <https://admin.chapril.org/doku.php?id=admin:services:faq_services#reception_d_un_courriel_sur_l_adresse_de_support>
* modération 
  * principe de responsabilité collective : la responsabilité n'a pas à reposer sur une unique personne
  * approche collégiale avec arbitrage par le Délégué Général et/ou le CA si nécessaire
  * registre de modération Chapril : <https://www.chapril.org/Registre-de-moderation.html> / <https://www.chapril.org/ecrire/> 
* notion de revue du service :
  * les alertes Icinga
  * les tickets ([https://agir.april.org)](https://agir.april.org))
  * les courriels en attente (mailing list: <https://listes.chapril.org/>, [https://listes.april.org/)](https://listes.april.org/))
  * la doc ([https://wiki.april.org/w/Chapril:Services:forge)](https://wiki.april.org/w/Chapril:Services:forge))
* accès service :
  * TODO Cpm mettre le compte de Pilou en administrateur FAIT

# Annexes

## Lexique

Animsys: Hyperviseurs

Animsys: Dans un VM

## Documents

Documents de référence:

[admin.chapril.org]([https://admin.chapril.org/doku.php?id=admin:services:valise.chapril.org)](<https://admin.chapril.org/doku.php?id=admin:services:valise.chapril.org>))

[wiki.april.org]([https://wiki.april.org/w/Chapril:services:valise)](<https://wiki.april.org/w/Chapril:services:valise>))

[agir.april.org]([https://agir.april.org/issues/5763)](<https://agir.april.org/issues/5763>))

[social.targaryen.house]([https://social.targaryen.house/@lordphoenix/107565294296722860)](<https://social.targaryen.house/@lordphoenix/107565294296722860>))

[help.nextcloud.com]([https://help.nextcloud.com/t/massive-performance-problems-cron-running-forever/133351)](<https://help.nextcloud.com/t/massive-performance-problems-cron-running-forever/133351>))

[agir.april.org]([https://agir.april.org/issues/3977)](<https://agir.april.org/issues/3977>))

Lecture en cours ou fait sans ordre précis:

* [\[https://wiki.april.org/w/Chapril:services:candidats\](https://wiki.april.org/w/Chapril:services:candidats)]([https://wiki.april.org/w/Chapril:services:candidats](https://wiki.april.org/w/Chapril:services:candidats))
* [\[https://fr.wikipedia.org/wiki/N%C3%A9tiquette\](https://fr.wikipedia.org/wiki/N%C3%A9tiquette)]([https://fr.wikipedia.org/wiki/N%C3%A9tiquette](https://fr.wikipedia.org/wiki/N%C3%A9tiquette))
* [\[https://wiki.april.org/w/Chapril\](https://wiki.april.org/w/Chapril)]([https://wiki.april.org/w/Chapril](https://wiki.april.org/w/Chapril))
* [\[https://www.april.org/groupes/chapril\](https://www.april.org/groupes/chapril)]([https://www.april.org/groupes/chapril](https://www.april.org/groupes/chapril))
* [\[https://agir.april.org/projects/chapril\](https://agir.april.org/projects/chapril)]([https://agir.april.org/projects/chapril](https://agir.april.org/projects/chapril))
* [\[https://admin.chapril.org/doku.php\](https://admin.chapril.org/doku.php)]([https://admin.chapril.org/doku.php](https://admin.chapril.org/doku.php))
* [\[https://admin.chapril.org/doku.php?id=admin\](https://admin.chapril.org/doku.php?id=admin)]([https://admin.chapril.org/doku.php?id=admin](https://admin.chapril.org/doku.php?id=admin))
* [\[https://www.chatons.org/\](https://www.chatons.org/)]([https://www.chatons.org/](https://www.chatons.org/))
* [\[https://wiki.april.org/w/Chapril:services:Plan\\\_d%27int%C3%A9gration\\\_d%27un\\\_nouveau\\\_service\](https://wiki.april.org/w/Chapril:services:Plan\\\_d%27int%C3%A9gration\\\_d%27un\\\_nouveau\\\_service)]([https://wiki.april.org/w/Chapril:services:Plan_d%27int%C3%A9gration_d%27un_nouveau_service](https://wiki.april.org/w/Chapril:services:Plan_d%27int%C3%A9gration_d%27un_nouveau_service))

## Accès à créer

Les accès suivant sont à créer par un adminsys chapril. @Pilou n'est pas AdminSys Chapril tout en étant AdminSys April:

1. icinga.chapril.org
2. admin.chapril.org
3. listes.chapril.org - compte chris@mann.fr créé, mais authorisations à attribuer

Comptes nécessaires créés par @chris2fr :

* membre [april.org]([https://www.april.org/trombinoscope.php?membre=cmann)](<https://www.april.org/trombinoscope.php?membre=cmann>))
* compte créé [agir.april.org]([https://agir.april.org/users/271)](<https://agir.april.org/users/271>))
* compte créé [wiki.april.org]([https://wiki.april.org/w/Utilisateur:ChrisMann)](<https://wiki.april.org/w/Utilisateur:ChrisMann>))
* abonnement fait sur liste de diffusion [chapril@april.org]([https://listes.april.org/wws/info/chapril)](<https://listes.april.org/wws/info/chapril>))
* passages sur [#april-chapril]([https://libera.chat/)](<https://libera.chat/>))

Comptes facultatifs créés par @chris2fr:

* compte sur [forge.chapril.org]([https://forge.chapril.org/chris2fr)](<https://forge.chapril.org/chris2fr>))
* compte sur [pouet.chapril.org]([https://pouet.chapril.org/@lesgrandsvoisins)](<https://pouet.chapril.org/@lesgrandsvoisins>))


